// #autoload
// #name = Kill Shot
// #version = 1.0.0
// #date = June 14, 2001
// #author = <a:player	-Boots-	60><spush><color:FFFFFF>-Boots-<spop></a>
// #warrior = -Boots-
// #email = boots@bootsware.com
// #web = http://www.bootsware.com
// #description = Takes a screen shot every time you kill/are killed.
// #readme = scripts/autoexec/-boots-/killshot.txt
// #status = Release
// #config = killShotConfigGUI
// #update = KillShot
$killShot::version = "1.0.0";

$killShot::prefs::takeShotWhenIKillWithBlaster   = true;
$killShot::prefs::takeShotWhenIKillWithChain     = true;
$killShot::prefs::takeShotWhenIKillWithGrenade   = true;
$killShot::prefs::takeShotWhenIKillWithLaser     = true;
$killShot::prefs::takeShotWhenIKillWithMissile   = true;
$killShot::prefs::takeShotWhenIKillWithMortar    = true;
$killShot::prefs::takeShotWhenIKillWithPlasma    = true;
$killShot::prefs::takeShotWhenIKillWithSatchel   = true;
$killShot::prefs::takeShotWhenIKillWithShockLance= true;
$killShot::prefs::takeShotWhenIKillWithSpin      = true;
$killShot::prefs::takeShotWhenIKillWithVehicleShot= true;
$killShot::prefs::takeShotWhenIKillWithVehicleBumper= true;

$killShot::prefs::takeShotWhenIDieFromBlaster   = true;
$killShot::prefs::takeShotWhenIDieFromChain     = true;
$killShot::prefs::takeShotWhenIDieFromGrenade   = true;
$killShot::prefs::takeShotWhenIDieFromLaser     = true;
$killShot::prefs::takeShotWhenIDieFromMissile   = true;
$killShot::prefs::takeShotWhenIDieFromMortar    = true;
$killShot::prefs::takeShotWhenIDieFromPlasma    = true;
$killShot::prefs::takeShotWhenIDieFromSatchel   = true;
$killShot::prefs::takeShotWhenIDieFromShockLance= true;
$killShot::prefs::takeShotWhenIDieFromSpin      = true;
$killShot::prefs::takeShotWhenIDieFromVehicleShot= true;
$killShot::prefs::takeShotWhenIDieFromVehicleBumper= true;

$killShot::prefs::takeShotWhenIDieFromTurret    = true;
$killShot::prefs::takeShotWhenIDieFromMine      = true;
$killShot::prefs::takeShotWhenIDieFromExplodingStuff= true;
$killShot::prefs::takeShotWhenIDieFromTheGround= true;

$killShot::prefs::takeShotWhenITK      = true;
$killShot::prefs::takeShotWhenIGetTKed = true;

$killShot::prefs::takeShotDelay = 250;
$killShot::prefs::antiLagDelay = 5;

$killShot::prefs::enabled = 1;
$killShot::prefs::shotNumber = 0;

$killShot::OkToTakeKillShot = 1;
$killShot::ConfigDialogOpen = 0;

$RefreshKillShotBind1 = "false";
$RefreshKillShotBind2 = "false";

package KillShot_Update {
function UpgradeInfo()
{
  $Upgrade::Instructions = "Updates to the script will take affect next time you start Tribes 2.";
  $Upgrade::Fixes = "Initial Release";
  $Upgrade::Version = "1.0.0";
}
};

//
// Function: OkToTakeKillShot
//
// Desc: Reset the "min time between kill shots" timer
//
//
function OkToTakeKillShot()
{
   $killShot::OkToTakeKillShot = true;
}

//
// Function: takeTheKillShot
//
// Desc: take the screen shot
//
//
function takeTheKillShot(%killed, %weapon)
{
 	canvas.repaint();
    echo("SS: base\\screenshots\\ks-" @ $killShot::prefs::shotNumber @ "-" @ %killed @ " " @ %weapon @ ".png");
	screenShot("base\\screenshots\\ks-" @ $killShot::prefs::shotNumber @ "-" @ %killed @ " " @ %weapon @ ".png");
    $killShot::prefs::shotNumber++;
    ksSaveSettings();
}

//
// Function: takeKillShot
//
// Desc: Takes the kill shot if the criteria are met
//
//
function takeKillShot(%msgType, %msgString, %victimname, %vgen, %vposs, %killername, %kgen, %kposs, %damageType)
{
    if ($killShot::OkToTakeKillShot && $killShot::prefs::enabled) {
        %msg          = detag(%msgType);
        %theKiller    = detag(%killername);
        %theVictim    = detag(%victimname);
        %damageType   = detag(%damageType);
        %iAmTheKiller = false;
        %iAmTheVictim = false;
        %turretKill   = false;
        %teamKill     = false;
        %vehicleWeaponKill = false;
        %weaponUsed   = "";
        %weaponUsedNumber = 0;
        %killMethod = "";
        
        // am I the killer?
        if (%theKiller $= getManagerName()) {
           %iAmTheKiller = true;
           %killMethod = "killed with";
        }
        
        // am I the victim?
        if (%theVictim $= getManagerName()) {
           %iAmTheVictim = true;
           %killMethod = "killed by";
        }
        
        // am I either the killer or killee?
        if (%iAmTheKiller == 0 && %iAmTheVictim == 0) {
           //echo("Niether killer (" @ %theKiller @ ", " @ %killername @") nor victim (" @ %theVictim @"), exiting");
           return;
        }
        
        // was it a team kill?
        if (%msg $= "msgTeamKill") {
           %teamKill = true;
           if (%iAmTheKiller) {
              %killMethod = "tked with";
           } else {
              %killMethod = "tked by";
           }
        }
        
        // get the weapon info
        %weaponUsed = $DamageTypeText[%damageType];
        %weaponUsedNumber = %damageType;
            
        // was this a turret kill?
        if(%msg $= "msgCTurretKill") {
            %turretKill = true;
        }
        
        // check for other turret types (mortar, aa, plasma, etc, etc)
        if (StrStr(%weaponUsed, "turret"))
            %turretKill = true;
            
        // bomber and tank guns register as msgCTurretKill's, check the damage type for them
        if (%weaponUsed $= "shrike blaster" || %weaponUsed $= "belly turret" || %weaponUsed $= "bomber bomb" || %weaponUsed $= "tank chaingun" || %weaponUsed $= "tank mortar") {
            %vehicleWeaponKill = true;
            %turretKill = false;
        }
    
        echo("theKiller(" @ %theKiller @ ", " @ %killername @") theVictim(" @ %theVictim @") iAmTheKiller: " @ %iAmTheKiller @ " iAmTheVictim: " @ %iAmTheVictim @ "  turretKill: " @ %turretKill @ "  vehicleWeaponKill: " @ %vehicleWeaponKill @ "  teamKill: " @ %teamKill @ "  weaponUsed: " @ %weaponUsed @ "  weaponUsedNum: " @ %weaponUsedNumber);

        %takeKillShot = false;
        
        if (%iAmTheKiller && TKerKillShotTest(%teamKill)) {
        
           if ($killShot::prefs::takeShotWhenIKillWithBlaster && %weaponUsed $= "blaster")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIKillWithChain && %weaponUsed $= "chaingun")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIKillWithGrenade && %weaponUsed $= "grenade")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIKillWithLaser && %weaponUsed $= "laser")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIKillWithMissile && %weaponUsed $= "missile")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIKillWithMortar && %weaponUsed $= "mortar")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIKillWithPlasma && %weaponUsed $= "plasma")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIKillWithSatchel && %weaponUsed $= "satchel charge")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIKillWithShockLance && %weaponUsed $= "shocklance")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIKillWithSpin && %weaponUsed $= "disc")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIKillWithVehicleShot && %vehicleWeaponKill)
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIKillWithVehicleBumper && %weaponUsed $= "impact")
               %takeKillShot = true;
               
               
        } else if (%iAmTheVictim && TKedKillShotTest(%teamKill)) {
           if ($killShot::prefs::takeShotWhenIDieFromBlaster && %weaponUsed $= "blaster")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIDieFromChain && %weaponUsed $= "chaingun")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIDieFromGrenade && %weaponUsed $= "grenade")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIDieFromLaser && %weaponUsed $= "laser")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIDieFromMissile && %weaponUsed $= "missile")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIDieFromMortar && %weaponUsed $= "mortar")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIDieFromPlasma && %weaponUsed $= "plasma")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIDieFromSatchel && %weaponUsed $= "satchel charge")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIDieFromShockLance && %weaponUsed $= "shocklance")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIDieFromSpin && %weaponUsed $= "disc")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIDieFromVehicleShot && %vehicleWeaponKill)
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIDieFromVehicleBumper && %weaponUsed $= "impact")
               %takeKillShot = true;


           else if ($killShot::prefs::takeShotWhenIDieFromTurret && %turretKill)
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIDieFromMine && %weaponUsed $= "mine")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIDieFromExplodingStuff && %weaponUsed $= "explosion")
               %takeKillShot = true;
           else if ($killShot::prefs::takeShotWhenIDieFromTheGround && %weaponUsed $= "ground")
               %takeKillShot = true;
        }

        if (%takeKillShot) {
           $killShot::OkToTakeKillShot = false;
           schedule($killShot::prefs::takeShotDelay, 0, "takeTheKillShot", %killMethod, %weaponUsed);
           schedule($killShot::prefs::antiLagDelay * 1000, 0, "OkToTakeKillShot");
        }
    }
}


//
// Function: TkerTest
//
// Desc: Returns true if I a TKer AND I want to take TK'ing shots
//       Returns true if I am not a TKer
//       Returns false if I am TKer but I don't want to take TK'ing shots
//
//
function TKerKillShotTest(%teamKill)
{
    %rtnVal = false;
    
    if (%teamKill && $killShot::prefs::takeShotWhenITK)
       %rtnVal = true;
    else if (%teamKill == false)
       %rtnVal = true;
       
    return %rtnVal;
}

//
// Function: TkerTest
//
// Desc: Returns true if I a TKed AND I want to take TK'ing shots
//       Returns true if I am not TKed
//       Returns false if I am TKed but I don't want to take TK'ing shots
//
//
function TKedKillShotTest(%teamKill)
{
    %rtnVal = false;

    if (%teamKill && $killShot::prefs::takeShotWhenIGetTKed)
       %rtnVal = true;
    else if (%teamKill == false)
       %rtnVal = true;

    return %rtnVal;
}

package killShot
{
function DispatchLaunchMode()
{
    addMessageCallBack('msgSuicide' ,      takeKillShot);
	addMessageCallBack('msgVehicleKill',   takeKillShot);
	addMessageCallBack('msgCTurretKill',   takeKillShot);
    addMessageCallBack('msgTurretKill',    takeKillShot);
 	addMessageCallBack('msgSelfKill',      takeKillShot);
	addMessageCallBack('MsgLegitKill',     takeKillShot);
	addMessageCallBack('MsgHeadshotKill',  takeKillShot);
	addMessageCallBack('msgExplosionKill', takeKillShot);
    addMessageCallBack('msgTeamKill',      takeKillShot);
 
	parent::DispatchLaunchMode();
}

//
// Function: OptionsDlg::onWake
//
// Desc: Get us a key binding
//
function OptionsDlg::onWake(%this)
{
	if ($RefreshKillShotBind1 $= "false") {
		$RemapName[$RemapCount]="Toggle Kill Shots";
		$RemapCmd[$RemapCount]="toggleKillShots";
		$RemapCount++;
		$RefreshKillShotBind1 = "true";
	}

    if ($RefreshKillShotBind2 $= "false") {
		$RemapName[$RemapCount]="Toggle Kill Shot Config Dialog";
		$RemapCmd[$RemapCount]="openKillShotConfig";
		$RemapCount++;
		$RefreshKillShotBind2 = "true";
	}
	parent::onWake( %this );
}
};
activatePackage(killShot);

//
// Function: toggleKillshots
//
// Desc: enable/disable taking kill shots
//
function toggleKillshots( %val )
{
	if (%val) {
        $killShot::prefs::enabled = !$killShot::prefs::enabled;
    
        if ($killShot::prefs::enabled)
            clientCmdBottomPrint("Kill Shots Enabled", 1, 1);
        else
            clientCmdBottomPrint("Kill Shots Disabled", 1, 1);

        ksSaveSettings();
    }
}

//
// Function: openKillShotConfig
//
// Desc: Allows you to open the config dialog from within the game
//
function openKillShotConfig(%val)
{
    if (%val) {
    	if ($killShot::ConfigDialogOpen) 	{
            $killShot::ConfigDialogOpen = 0;
		    Canvas.popDialog(killShotConfigGUI);
	    } else {
            $killShot::ConfigDialogOpen = 1;
		    Canvas.pushDialog(killShotConfigGUI);
        }
    }
}

//
// Function: killShotGUI::SaveSettings
//
// Desc: Write the settings to disk
//
function killShotConfigGUI::SaveSettings(%this)
{
    export("$killShot::prefs::*", "prefs/killshotprefs.cs", false);
}

//
// Function: ksSaveSettings
//
// Desc: The user wishes to save the changes to the options
//
function ksSaveSettings()
{
    killShotConfigGUI.SaveSettings();
    
    // if we are in the game GUI then close it
    if ($killShot::ConfigDialogOpen)
       openKillShotConfig(1);
}

//
// Function: killShotGUI::Startup
//
// Desc: "Constructor"  Go load up my settings
//
function killShotConfigGUI::Startup(%this)
{
	if(!isfile("prefs/killshotprefs.cs")) {
		%this.SaveSettings();
    }
	exec("prefs/killshotprefs.cs");
}

//
// Function: killShotConfigGUI::onWake
//
// Desc: Notification that my config window was selected
//
function killShotConfigGUI::onWake(%this)
{
    killShotTab0.setValue(true);
    %this.setPane(0);
}

//
// Function: killShotConfigGUI::setPane
//
// Desc: Someone selected an option pane
//
function killShotConfigGUI::setPane(%this, %idx) {

	if (strlen(%this.tabIndex)) {
		%lastTab = "killShotTab" @ %this.tabIndex;
		%lastTab.setValue(false);
        %this.SaveSettings();
        %this.hideControls(%this.tabIndex);
	}
	%thisTab = "killShotTab" @ %idx;
	%thisTab.setValue(true);

	%this.tabIndex = %idx;
    %this.showControls(%this.tabIndex);
}

//
// Function: killShotConfigGUI::hideControls
//
// Desc: hide the controls of the specified tab
//
function killShotConfigGUI::hideControls(%this, %tab)
{
    switch(%tab) {
        case 0:
             wiakwBlaster.setVisible(false);
             wiakwChain.setVisible(false);
             wiakwGrenade.setVisible(false);
             wiakwLaser.setVisible(false);
             wiakwMissile.setVisible(false);
             wiakwMortar.setVisible(false);
             wiakwPlasma.setVisible(false);
             wiakwSatchel.setVisible(false);
             wiakwShocklance.setVisible(false);
             wiakwSpin.setVisible(false);
             wiakwVBumper.setVisible(false);
             wiakwVShot.setVisible(false);
        break;
    
        case 1:
             wiakbBlaster.setVisible(false);
             wiakbChain.setVisible(false);
             wiakbGrenade.setVisible(false);
             wiakbLaser.setVisible(false);
             wiakbMissile.setVisible(false);
             wiakbMortar.setVisible(false);
             wiakbPlasma.setVisible(false);
             wiakbSatchel.setVisible(false);
             wiakbShocklance.setVisible(false);
             wiakbSpin.setVisible(false);
             wiakbVBumper.setVisible(false);
             wiakbVShot.setVisible(false);
             wiakbMine.setVisible(false);
             wiakbTurret.setVisible(false);
             wiakbEStuff.setVisible(false);
             wiakbGround.setVisible(false);
        break;
        
        case 2:
             wiTK.setVisible(false);
             wiaTKd.setVisible(false);
        break;
        
        case 3:
             killShotDelayTextControl.setVisible(false);
             KillShotDelaySlider.setVisible(false);
             nextShotDelaySlider.setVisible(false);
             nextShotDelayTextControl.setVisible(false);
        break;
    }
}

//
// Function: killShotConfigGUI::showControls
//
// Desc: show the controls of the specified tab
//
function killShotConfigGUI::showControls(%this, %tab)
{
    switch(%tab) {
        case 0:
             wiakwBlaster.setVisible(true);
             wiakwChain.setVisible(true);
             wiakwGrenade.setVisible(true);
             wiakwLaser.setVisible(true);
             wiakwMissile.setVisible(true);
             wiakwMortar.setVisible(true);
             wiakwPlasma.setVisible(true);
             wiakwSatchel.setVisible(true);
             wiakwShocklance.setVisible(true);
             wiakwSpin.setVisible(true);
             wiakwVBumper.setVisible(true);
             wiakwVShot.setVisible(true);
        break;

        case 1:
             wiakbBlaster.setVisible(true);
             wiakbChain.setVisible(true);
             wiakbGrenade.setVisible(true);
             wiakbLaser.setVisible(true);
             wiakbMissile.setVisible(true);
             wiakbMortar.setVisible(true);
             wiakbPlasma.setVisible(true);
             wiakbSatchel.setVisible(true);
             wiakbShocklance.setVisible(true);
             wiakbSpin.setVisible(true);
             wiakbVBumper.setVisible(true);
             wiakbVShot.setVisible(true);
             wiakbMine.setVisible(true);
             wiakbTurret.setVisible(true);
             wiakbEStuff.setVisible(true);
             wiakbGround.setVisible(true);
        break;

        case 2:
             wiTK.setVisible(true);
             wiaTKd.setVisible(true);
        break;

        case 3:
             killShotDelayTextControl.setVisible(true);
             KillShotDelaySlider.setVisible(true);
             nextShotDelaySlider.setVisible(true);
             nextShotDelayTextControl.setVisible(true);
        break;
    }
}

if(!isObject(killShotConfigGUI))
{
    new ScriptObject(killShotConfigGUI)
    {
        class = killShotConfigGUId;
    };
}

killShotConfigGUI.Startup();

new GuiControl(killShotConfigGUI) {
	profile = "GuiDialogProfile";
	horizSizing = "center";
	vertSizing = "center";
	position = "0 0";
	extent = "400 320";
	minExtent = "400 320";
	visible = "1";
	hideCursor = "0";
	bypassHideCursor = "0";
	helpTag = "0";
	tabIndex = "0";
	guiSetup = "1";
  
    new ShellPaneCtrl() {
		profile = "ShellDlgPaneProfile";
		horizSizing = "center";
		vertSizing = "center";
		position = "102 67";
		extent = "400 320";
		minExtent = "400 320";
		visible = "1";
		text = "Kill Shot Configuration";
		helpTag = "0";

    	new ShellToggleButton() {
				profile = "ShellRadioProfile";
				horizSizing = "right";
				vertSizing = "bottom";
 				position = "15 31";
				extent = "200 22";
				minExtent = "8 8";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				variable = "$killShot::prefs::enabled";
				helpTag = "0";
				text = "Take Screen Shot";
				maxLength = "255";
			};

			new ShellTabFrame() {
				profile = "ShellTabFrameProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "142 66";
				extent = "234 217";
				minExtent = "254 26";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				helpTag = "0";
				isVertical = "1";
				useCloseButton = "0";
				edgeInset = "0";
  
				new ShellFieldCtrl() {
					profile = "ShellFieldProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "10 10";
					extent = "220 195";
					minExtent = "16 18";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
   
					new ShellToggleButton(wiakwBlaster) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 0";
						extent = "103 30";
						minExtent = "26 27";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIKillWithBlaster";
						helpTag = "0";
						text = "Blaster";
						maxLength = "255";
					};
            
					new ShellToggleButton(wiakbBlaster) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 0";
						extent = "103 30";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromBlaster";
						helpTag = "0";
						text = "Blaster";
						maxLength = "255";
					};
            
					new ShellToggleButton(wiakwChain) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 20";
						extent = "103 30";
						minExtent = "26 27";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIKillWithChain";
						helpTag = "0";
						text = "Chaingun";
						maxLength = "255";
					};

					new ShellToggleButton(wiakbChain) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 20";
						extent = "103 30";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromChain";
						helpTag = "0";
						text = "Chaingun";
						maxLength = "255";
					};
            
					new ShellToggleButton(wiakwGrenade) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 40";
						extent = "103 30";
						minExtent = "26 27";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIKillWithGrenade";
						helpTag = "0";
						text = "Grenades";
						maxLength = "255";
					};

					new ShellToggleButton(wiakbGrenade) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 40";
						extent = "103 30";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromGrenade";
						helpTag = "0";
						text = "Grenades";
						maxLength = "255";
					};

					new ShellToggleButton(wiakwLaser) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 60";
						extent = "103 30";
						minExtent = "26 27";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIKillWithLaser";
						helpTag = "0";
						text = "Laser";
						maxLength = "255";
					};

					new ShellToggleButton(wiakbLaser) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 60";
						extent = "103 30";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromLaser";
						helpTag = "0";
						text = "Laser";
						maxLength = "255";
					};
            
					new ShellToggleButton(wiakwMissile) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 80";
						extent = "103 30";
						minExtent = "26 27";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIKillWithMissile";
						helpTag = "0";
						text = "Missile";
						maxLength = "255";
					};

					new ShellToggleButton(wiakbMissile) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 80";
						extent = "103 30";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromMissile";
						helpTag = "0";
						text = "Missile";
						maxLength = "255";
					};
            
					new ShellToggleButton(wiakwMortar) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 100";
						extent = "103 30";
						minExtent = "26 27";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIKillWithMortar";
						helpTag = "0";
						text = "Mortar";
						maxLength = "255";
					};

					new ShellToggleButton(wiakbMortar) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 100";
						extent = "103 30";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromMortar";
						helpTag = "0";
						text = "Mortar";
						maxLength = "255";
					};

					new ShellToggleButton(wiakwPlasma) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 120";
						extent = "103 30";
						minExtent = "26 27";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIKillWithPlasma";
						helpTag = "0";
						text = "Plasma";
						maxLength = "255";
					};

					new ShellToggleButton(wiakbPlasma) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 120";
						extent = "103 30";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromPlasma";
						helpTag = "0";
						text = "Plasma";
						maxLength = "255";
					};
            
					new ShellToggleButton(wiakwSatchel) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 140";
						extent = "103 30";
						minExtent = "26 27";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIKillWithSatchel";
						helpTag = "0";
						text = "Satchel";
						maxLength = "255";
					};

					new ShellToggleButton(wiakbSatchel) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 140";
						extent = "103 30";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromSatchel";
						helpTag = "0";
						text = "Satchel";
						maxLength = "255";
					};
            
					new ShellToggleButton(wiakwShocklance) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 160";
						extent = "103 30";
						minExtent = "26 27";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIKillWithShocklance";
						helpTag = "0";
						text = "Shocklance";
						maxLength = "255";
					};

					new ShellToggleButton(wiakbShocklance) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 160";
						extent = "103 30";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromShocklance";
						helpTag = "0";
						text = "Shocklance";
						maxLength = "255";
					};

					new ShellToggleButton(wiakwSpin) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "100 0";
						extent = "103 30";
						minExtent = "26 27";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIKillWithSpin";
						helpTag = "0";
						text = "Spinfusor";
						maxLength = "255";
					};

					new ShellToggleButton(wiakbSpin) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "100 0";
						extent = "103 30";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromSpin";
						helpTag = "0";
						text = "Spinfusor";
						maxLength = "255";
					};

					new ShellToggleButton(wiakwVBumper) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "100 20";
						extent = "103 70";
						minExtent = "26 27";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIKillWithVehicleBumper";
						helpTag = "0";
						text = "Vehicle Bumper";
						maxLength = "255";
					};

					new ShellToggleButton(wiakbVBumper) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "100 20";
						extent = "103 30";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromVehicleBumper";
						helpTag = "0";
						text = "Vehicle Bumper";
						maxLength = "255";
					};

					new ShellToggleButton(wiakwVShot) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "100 40";
						extent = "103 30";
						minExtent = "26 27";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIKillWithVehicleShot";
						helpTag = "0";
						text = "Vehicle Weapon";
						maxLength = "255";
					};

					new ShellToggleButton(wiakbVShot) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "100 40";
						extent = "103 50";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromVehicleShot";
						helpTag = "0";
						text = "Vehicle Weapon";
						maxLength = "255";
					};
            
					new ShellToggleButton(wiakbMine) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "100 60";
						extent = "103 50";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromMine";
						helpTag = "0";
						text = "Mine";
						maxLength = "255";
					};
            
					new ShellToggleButton(wiakbTurret) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "100 80";
						extent = "103 50";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromTurret";
						helpTag = "0";
						text = "Turret";
						maxLength = "255";
					};
            
					new ShellToggleButton(wiakbEStuff) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "100 100";
						extent = "103 50";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromExplodingStuff";
						helpTag = "0";
						text = "Exploding Stuff";
						maxLength = "255";
					};
            
					new ShellToggleButton(wiakbGround) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "100 120";
						extent = "103 50";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIDieFromTheGround";
						helpTag = "0";
						text = "The Ground";
						maxLength = "255";
					};
            
					new ShellToggleButton(wiTK) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 60";
						extent = "103 50";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenITK";
						helpTag = "0";
						text = "When I TK";
						maxLength = "255";
					};
            
					new ShellToggleButton(wiaTKd) {
						profile = "ShellRadioProfile";
						horizSizing = "right";
						vertSizing = "bottom";
		 				position = "0 80";
						extent = "103 50";
						minExtent = "26 27";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						variable = "$killShot::prefs::takeShotWhenIGetTKed";
						helpTag = "0";
						text = "When I am TK";
						maxLength = "255";
					};

                    new GuiTextCtrl(killShotDelayTextControl) {
                        profile = "ShellMediumTextProfile";
                        horizSizing = "right";
			            vertSizing = "bottom";
    			        position = "0 40";
			            extent = "220 22";
    			        minExtent = "8 8";
			            visible = "0";
    			        helpTag = "0";
			            text = "Kill Shot Delay (ms):";
    		        };

                    new ShellTextEditCtrl(KillShotDelaySlider) {
                        profile = "NewTextEditProfile";
                        horizSizing = "right";
                        vertSizing = "bottom";
                        position = "0 50";
    			        extent = "220 22";
			            minExtent = "10 10";
    			        visible = "0";
                        variable = "$killShot::prefs::takeShotDelay";
    			        helpTag = "0";
                        historySize = "0";
   			            maxLength = "256";
			            password = "0";
    			        glowOffset = "0 0";
		            };

                    new GuiTextCtrl(nextShotDelayTextControl) {
                        profile = "ShellMediumTextProfile";
                        horizSizing = "right";
			            vertSizing = "bottom";
    			        position = "0 90";
			            extent = "220 22";
    			        minExtent = "8 8";
			            visible = "0";
    			        helpTag = "0";
			            text = "Time between Kill Shots (sec):";
    		        };

                    new ShellTextEditCtrl(nextShotDelaySlider) {
                        profile = "NewTextEditProfile";
                        horizSizing = "right";
                        vertSizing = "bottom";
                        position = "0 100";
    			        extent = "220 22";
			            minExtent = "10 10";
    			        visible = "0";
                        variable = "$killShot::prefs::antiLagDelay";
    			        helpTag = "0";
                        historySize = "0";
   			            maxLength = "256";
			            password = "0";
    			        glowOffset = "0 0";
		            };
				};
			};
			new ShellTabButton(killShotTab0) {
				profile = "ShellTabProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "10 60";
				extent = "139 38";
				minExtent = "48 38";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				command = "killShotConfigGUI.setPane(0);";
				helpTag = "0";
				text = "When I Kill With";
				maxLength = "255";
			};
 
			new ShellTabButton(killShotTab1) {
				profile = "ShellTabProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "10 100";
				extent = "139 38";
				minExtent = "48 38";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				command = "killShotConfigGUI.setPane(1);";
				helpTag = "0";
				text = "When I Die From";
				maxLength = "255";
			};
 
			new ShellTabButton(killShotTab2) {
				profile = "ShellTabProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "10 140";
				extent = "139 38";
				minExtent = "48 38";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				command = "killShotConfigGUI.setPane(2);";
				helpTag = "0";
				text = "Team Killing";
				maxLength = "255";
			};
 
			new ShellTabButton(killShotTab3) {
				profile = "ShellTabProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "10 180";
				extent = "139 38";
				minExtent = "48 38";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				command = "killShotConfigGUI.setPane(3);";
				helpTag = "0";
				text = "Delays";
				maxLength = "255";
			};
			new ShellBitmapButton() {
				profile = "ShellButtonProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "9 230";
				extent = "118 38";
				minExtent = "48 38";
				visible = "1";
				command = "ksSaveSettings();";
				helpTag = "0";
				text = "Save Changes";
				simpleStyle = "0";
			};
    };
};


// EOF - Upgraded File - scripts/autoexec/-boots-/killshot.cs
// EOF - Upgraded File - scripts/autoexec/-boots-/killshot.cs
// EOF - Upgraded File - scripts/autoexec/-boots-/killshot.cs
